| Home | Libraries | People | FAQ | More

## Struct template impl

boost::proto::or_::impl

## Synopsis

    // In header: <boost/proto/matches.hpp>

    template<typename Expr, typename State, typename Data>
    struct impl :  proto::transform_impl< Expr, State, Data > {
      // types
      typedef unspecified result_type;

      // public member functions
      result_type operator()(typename impl::expr_param,
                             typename impl::state_param,
                             typename impl::data_param) const;
    };

## Description

### `impl` public member functions

1.     result_type operator()(typename impl::expr_param expr,
                              typename impl::state_param state,
                              typename impl::data_param data) const;

   Parameters:

   `data` | A data of arbitrary type
   `expr` | An expression
   `state` | The current state

   Returns: | `Gx()(expr, state, data)` , where `x` is the lowest number such that `proto::matches<Expr, Gx>::value` is `true`.